const { caesarCoding, hexCoding, morseCoding } = require('./codings.js');

const readline = require('readline').createInterface({
	input: process.stdin,
	output: process.stdout,
});

readline.question('Clear text:  ', text => {
	console.log('Morse code:  ' + morseCoding.encode(text));
	console.log('Hex code:    ' + hexCoding.encode(text));
	console.log('Caesar code: ' + caesarCoding.encode(text));
	readline.close();
});
