const { caesarCoding, hexCoding, morseCoding } = require('./codings.js');

test('Morse coding', function() {
	expect(morseCoding.encode('HELLO WORLD')).toBe('...././.-../.-../---//.--/---/.-./.-../-..');
});

test('Hex coding', function() {
	expect(hexCoding.encode('HELLO WORLD')).toBe('48 45 4c 4c 4f 20 57 4f 52 4c 44');
});

test('Caesar coding', function() {
	expect(caesarCoding.encode('HELLO WORLD')).toBe('IFMMPAXPSME');
});
